CFPRIME PEXCDA                                                          PEXCDA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE PEXCDA(IUX,IEXN,JE,IEBK)                               PEXCDA      3
CD                                                                      PEXCDA      4
CD    TO PRINT EXCITER DATA.                                            PEXCDA      5
CD                                                                      PEXCDA      6
      INCLUDE 'PARX.INS'                                                PEXCDA      7
      INCLUDE 'CNFLAG.INS'                                              PEXCDA      8
      INCLUDE 'CNMDAT.INS'                                              PEXCDA      9
      INCLUDE 'CNSTN.INS'                                               PEXCDA     10
      INCLUDE 'CNNNEW.INS'                                              PEXCDA     11
      INCLUDE 'CNB8.INS'                                                PEXCDA     12
      INCLUDE 'CNB19.INS'                                               PEXCDA     13
C                                                                       PEXCDA     14
      LDEB=(JDEB(72).NE.0)                                              PEXCDA     15
C                                                                       PEXCDA     16
C     INDIVIDUAL EXCITER DATA PRINTOUT                                  PEXCDA     17
C                                                                       PEXCDA     18
      IEBK=0                                                            PEXCDA     19
C                                                                       PEXCDA     20
C   TYPE # :          1   2   3   4   5   6   7   8   9  10  11  12     PEXCDA     21
            GO TO  (270,270,280,290,280,310,320,320,340,350,450,450,    PEXCDA     22
C            13  14  15  16  17  18  19  20  21  22  23  24  25 26      PEXCDA     23
     &      450,360,370,450,450,450,450,450,450,450,450,450,450,450,    PEXCDA     24
C            27  28  29  30  31  32  33  34                             PEXCDA     25
     &      450,450,450,400,410,420,450,440),IEXN                       PEXCDA     26
C                                                                       PEXCDA     27
 270   CONTINUE                                                         PEXCDA     28
C                                                                       PEXCDA     29
C     IEX = 1 & 2                                                       PEXCDA     30
C                                                                       PEXCDA     31
      IF (IDDAT(JE+8).EQ.0)THEN                                         PEXCDA     32
      WRITE(IUX,3000) (DDAT(JE+L),L=2,7)                                PEXCDA     33
      ELSE                                                              PEXCDA     34
      WRITE(IUX,3010) (DDAT(JE+L),L=2,8)                                PEXCDA     35
      ENDIF                                                             PEXCDA     36
      WRITE(IUX,3020) (DDAT(JE+L),L=10,20)                              PEXCDA     37
C                                                                       PEXCDA     38
      RETURN                                                            PEXCDA     39
C                                                                       PEXCDA     40
 280  CONTINUE                                                          PEXCDA     41
C                                                                       PEXCDA     42
C     IEX = 3 & 5                                                       PEXCDA     43
C                                                                       PEXCDA     44
      IF (IEXN.EQ.3) THEN                                               PEXCDA     45
         IF (IDDAT(JE+8).EQ.0)THEN                                      PEXCDA     46
         WRITE(IUX,3070) (DDAT(JE+L),L=2,7),DDAT(JE+9)                  PEXCDA     47
         ELSE                                                           PEXCDA     48
         WRITE(IUX,3080) (DDAT(JE+L),L=2,9)                             PEXCDA     49
         ENDIF                                                          PEXCDA     50
         WRITE(IUX,3090) (DDAT(JE+L),L=10,17)                           PEXCDA     51
         WRITE(IUX,3110) (DDAT(JE+L),L=18,24)                           PEXCDA     52
         WRITE(IUX,3130) (DDAT(JE+L),L=26,32)                           PEXCDA     53
      ELSE                                                              PEXCDA     54
         IF (IDDAT(JE+8).EQ.0)THEN                                      PEXCDA     55
         WRITE(IUX,3070) (DDAT(JE+L),L=2,7),DDAT(JE+9)                  PEXCDA     56
         ELSE                                                           PEXCDA     57
         WRITE(IUX,3080) (DDAT(JE+L),L=2,9)                             PEXCDA     58
         ENDIF                                                          PEXCDA     59
         WRITE(IUX,3100) (DDAT(JE+L),L=10,17)                           PEXCDA     60
         WRITE(IUX,3120) (DDAT(JE+L),L=18,24),DDAT(JE+25),DDAT(JE+33)   PEXCDA     61
         WRITE(IUX,3130) (DDAT(JE+L),L=26,32)                           PEXCDA     62
      ENDIF                                                             PEXCDA     63
C                                                                       PEXCDA     64
      RETURN                                                            PEXCDA     65
C                                                                       PEXCDA     66
 290  CONTINUE                                                          PEXCDA     67
C                                                                       PEXCDA     68
C     IEX = 4                                                           PEXCDA     69
C                                                                       PEXCDA     70
      IF (IDDAT(JE+8).EQ.0)THEN                                         PEXCDA     71
      WRITE(IUX,3030) (DDAT(JE+L),L=2,7),DDAT(JE+9)                     PEXCDA     72
      ELSE                                                              PEXCDA     73
      WRITE(IUX,3040) (DDAT(JE+L),L=2,9)                                PEXCDA     74
      ENDIF                                                             PEXCDA     75
      WRITE(IUX,3050) (DDAT(JE+L),L=10,17)                              PEXCDA     76
      WRITE(IUX,3060) (DDAT(JE+L),L=18,28)                              PEXCDA     77
C                                                                       PEXCDA     78
      RETURN                                                            PEXCDA     79
C                                                                       PEXCDA     80
 310  CONTINUE                                                          PEXCDA     81
C                                                                       PEXCDA     82
C     IEX = 6                                                           PEXCDA     83
C                                                                       PEXCDA     84
      IF (IDDAT(JE+8).EQ.0)THEN                                         PEXCDA     85
      WRITE(IUX,3140) (DDAT(JE+L),L=2,7),DDAT(JE+9)                     PEXCDA     86
      ELSE                                                              PEXCDA     87
      WRITE(IUX,3150) (DDAT(JE+L),L=2,9)                                PEXCDA     88
      ENDIF                                                             PEXCDA     89
      WRITE(IUX,3160) (DDAT(JE+L),L=10,17)                              PEXCDA     90
      WRITE(IUX,3170) (DDAT(JE+L),L=18,27)                              PEXCDA     91
C                                                                       PEXCDA     92
      RETURN                                                            PEXCDA     93
C                                                                       PEXCDA     94
 320  CONTINUE                                                          PEXCDA     95
C                                                                       PEXCDA     96
C     IEX = 7 & 8                                                       PEXCDA     97
C                                                                       PEXCDA     98
      IF (IEXN.EQ.7) THEN                                               PEXCDA     99
         WRITE(IUX,3190) (DDAT(JE+L),L=2,6),(DDAT(JE+L),L=9,13),        PEXCDA    100
     +   (DDAT(JE+L),L=15,17)                                           PEXCDA    101
         WRITE(IUX,3200) (DDAT(JE+L),L=18,22)                           PEXCDA    102
      ELSE                                                              PEXCDA    103
          WRITE(IUX,3210) (DDAT(JE+L),L=2,27)                           PEXCDA    104
      ENDIF                                                             PEXCDA    105
C                                                                       PEXCDA    106
      RETURN                                                            PEXCDA    107
C                                                                       PEXCDA    108
 340  CONTINUE                                                          PEXCDA    109
C                                                                       PEXCDA    110
C     IEX = 9                                                           PEXCDA    111
C                                                                       PEXCDA    112
      IF (IDDAT(JE+8).EQ.0)THEN                                         PEXCDA    113
         WRITE(IUX,3220) (DDAT(JE+L),L=4,7),DDAT(JE+10)                 PEXCDA    114
     +   ,DDAT(JE+11),DDAT(JE+14),DDAT(JE+15),(DDAT(JE+L),L=18,20)      PEXCDA    115
      ELSE                                                              PEXCDA    116
         WRITE(IUX,3230) (DDAT(JE+L),L=4,8),DDAT(JE+10)                 PEXCDA    117
     +   ,DDAT(JE+11),DDAT(JE+14),DDAT(JE+15),(DDAT(JE+L),L=18,20)      PEXCDA    118
      ENDIF                                                             PEXCDA    119
C                                                                       PEXCDA    120
      RETURN                                                            PEXCDA    121
C                                                                       PEXCDA    122
 350  CONTINUE                                                          PEXCDA    123
C                                                                       PEXCDA    124
C     IEX = 10                                                          PEXCDA    125
C                                                                       PEXCDA    126
      IF (IDDAT(JE+8).EQ.0)THEN                                         PEXCDA    127
      WRITE (IUX,3240) (DDAT(JE+L),L=2,7)                               PEXCDA    128
      ELSE                                                              PEXCDA    129
      WRITE (IUX,3250) (DDAT(JE+L),L=2,8)                               PEXCDA    130
      ENDIF                                                             PEXCDA    131
      WRITE (IUX,3260) (DDAT(JE+L),L=10,20)                             PEXCDA    132
C                                                                       PEXCDA    133
      RETURN                                                            PEXCDA    134
C                                                                       PEXCDA    135
 360  CONTINUE                                                          PEXCDA    136
C                                                                       PEXCDA    137
C     IEX = 14                                                          PEXCDA    138
C                                                                       PEXCDA    139
      IF (IDDAT(JE+8).EQ.0)THEN                                         PEXCDA    140
      WRITE(IUX,3270) (DDAT(JE+L),L=2,7),DDAT(JE+9)                     PEXCDA    141
      ELSE                                                              PEXCDA    142
      WRITE(IUX,3280) (DDAT(JE+L),L=2,9)                                PEXCDA    143
      ENDIF                                                             PEXCDA    144
      WRITE(IUX,3290) (DDAT(JE+L),L=10,33)                              PEXCDA    145
C                                                                       PEXCDA    146
      RETURN                                                            PEXCDA    147
C                                                                       PEXCDA    148
 370  CONTINUE                                                          PEXCDA    149
C                                                                       PEXCDA    150
C     IEX = 15                                                          PEXCDA    151
C                                                                       PEXCDA    152
      WRITE (IUX,3330) (DDAT(JE+L),L=2,5),DDAT(JE+8),DDAT(JE+9)         PEXCDA    153
      WRITE (IUX,3340) (DDAT(JE+L),L=10,14),(DDAT(JE+L),L=18,20)        PEXCDA    154
C                                                                       PEXCDA    155
      RETURN                                                            PEXCDA    156
C                                                                       PEXCDA    157
C      IEX = 30                                                         PEXCDA    158
C                                                                       PEXCDA    159
 400  CONTINUE                                                          PEXCDA    160
C                                                                       PEXCDA    161
      WRITE(IUX,3350) (DDAT(JE+L),L=2,16)                               PEXCDA    162
      WRITE(IUX,3360) (DDAT(JE+L),L=18,29)                              PEXCDA    163
C                                                                       PEXCDA    164
      RETURN                                                            PEXCDA    165
C                                                                       PEXCDA    166
 410  CONTINUE                                                          PEXCDA    167
C                                                                       PEXCDA    168
C                                                                       PEXCDA    169
C     IEX = 31                                                          PEXCDA    170
C                                                                       PEXCDA    171
      WRITE(IUX,3370) (DDAT(JE+L),L=2,16)                               PEXCDA    172
      WRITE(IUX,3380) (DDAT(JE+L),L=18,25)                              PEXCDA    173
C                                                                       PEXCDA    174
      RETURN                                                            PEXCDA    175
C                                                                       PEXCDA    176
 420  CONTINUE                                                          PEXCDA    177
C                                                                       PEXCDA    178
C     IEX = 32                                                          PEXCDA    179
C                                                                       PEXCDA    180
      WRITE(IUX,3390) (DDAT(JE+L),L=2,16)                               PEXCDA    181
      WRITE(IUX,3400) (DDAT(JE+L),L=18,35)                              PEXCDA    182
C                                                                       PEXCDA    183
      RETURN                                                            PEXCDA    184
C                                                                       PEXCDA    185
 440  CONTINUE                                                          PEXCDA    186
C                                                                       PEXCDA    187
C     IEX = 34                                                          PEXCDA    188
C                                                                       PEXCDA    189
      WRITE(IUX,3410) (DDAT(JE+L),L=2,16)                               PEXCDA    190
      WRITE(IUX,3420) (DDAT(JE+L),L=18,22)                              PEXCDA    191
C                                                                       PEXCDA    192
      RETURN                                                            PEXCDA    193
 450  CONTINUE                                                          PEXCDA    194
C                                                                       PEXCDA    195
C     NO SUCH EXCITER TYPE                                              PEXCDA    196
C                                                                       PEXCDA    197
      IEBK=1                                                            PEXCDA    198
C                                                                       PEXCDA    199
      RETURN                                                            PEXCDA    200
C                                                                       PEXCDA    201
C  -----------------------------------------------------------------    PEXCDA    202
C                                                                       PEXCDA    203
      ENTRY PGVDA(IUX,IGVN,IGSTAB,JGG,JGS,N,IEBK)                       PEXCDA    204
CD                                                                      PEXCDA    205
CD    TO PRINT GOVERNOR DATA.                                           PEXCDA    206
CD                                                                      PEXCDA    207
      IF(IGVN.LT.50 .AND. IGVN.GT.40)RETURN                             PEXCDA    208
      IGVNB=0                                                           PEXCDA    209
      IF(IGVN.GE.31 .AND. IGVN.LE.35)THEN                               PEXCDA    210
        IGVNB=IGVN                                                      PEXCDA    211
        IGVN=IGVN-30                                                    PEXCDA    212
      ENDIF                                                             PEXCDA    213
C                                                                       PEXCDA    214
         WRITE(IUX,6000)                                                PEXCDA    215
C TYPE           1   2       4   5   6   7   8                          PEXCDA    216
         GOTO (500,500,670,540,600,610,620,630,670                      PEXCDA    217
     *,        670,670,670,670,670,670,670,670,670                      PEXCDA    218
C TYPE              20  21  22                                          PEXCDA    219
     *,        670,640,650,660), IGVN                                   PEXCDA    220
C                                                                       PEXCDA    221
C                                                                       PEXCDA    222
C     TYPE 1,2                                                          PEXCDA    223
C                                                                       PEXCDA    224
  500    CONTINUE                                                       PEXCDA    225
         JK=58                                                          PEXCDA    226
         IF(IDDAT(JGG+65).NE.0) JK=62                                   PEXCDA    227
         IF(IGVNB.NE.0)IGVN=IGVNB                                       PEXCDA    228
         IF(IGVN.EQ.1)THEN                                              PEXCDA    229
            WRITE(IUX,6002) IGVN,' ',IDDAT(JGG+65),IDDAT(JGG+66)        PEXCDA    230
     *         ,(DDAT(JGG+LE),LE=17,28),(DDAT(JGG+LE),LE=47,53)         PEXCDA    231
     *         ,(DDAT(JGG+LE),LE=55,JK)                                 PEXCDA    232
         ELSE                                                           PEXCDA    233
            WRITE(IUX,6002) IGVN,' (WSCC TYPE GC)',IDDAT(JGG+65)        PEXCDA    234
     *         ,IDDAT(JGG+66),(DDAT(JGG+LE),LE=17,28)                   PEXCDA    235
     *         ,(DDAT(JGG+LE),LE=47,53),(DDAT(JGG+LE),LE=55,JK)         PEXCDA    236
         ENDIF                                                          PEXCDA    237
         JK=40                                                          PEXCDA    238
         IF(IDDAT(JGG+65).NE.0) JK=44                                   PEXCDA    239
         WRITE(IUX,6003) DDAT(JGG+63),DDAT(JGG+64)                      PEXCDA    240
     *       ,(DDAT(JGG+LE),LE=29,JK)                                   PEXCDA    241
         JK=11                                                          PEXCDA    242
         IF(IDDAT(JGG+66).NE.0) JK=14                                   PEXCDA    243
         IF(IDDAT(JGG+66).EQ.2) JK=16                                   PEXCDA    244
         WRITE(IUX,6004) DDAT(JGG+45),DDAT(JGG+46)                      PEXCDA    245
     *       ,(DDAT(JGG+LE),LE=1,JK)                                    PEXCDA    246
         IF(IGVNB.NE.0)THEN                                             PEXCDA    247
          WRITE(IUX,6005)(DDAT(JGG+LK+78),LK=1,20)                      PEXCDA    248
         ENDIF                                                          PEXCDA    249
         RETURN                                                         PEXCDA    250
C                                                                       PEXCDA    251
C     TYPE 4                                                            PEXCDA    252
C                                                                       PEXCDA    253
  540    CONTINUE                                                       PEXCDA    254
C                                                                       PEXCDA    255
         NP1=N+1                                                        PEXCDA    256
         IGVNP1=ICONTA(2,NP1)                                           PEXCDA    257
         IGVNP1=MOD(IGVNP1,10)                                          PEXCDA    258
         IF(IGVNB.NE.0)IGVN=IGVNB                                       PEXCDA    259
         IF (IGVNP1.NE.5) THEN                                          PEXCDA    260
            WRITE(IUX,6400) IGVN                                        PEXCDA    261
         ELSE                                                           PEXCDA    262
            WRITE(IUX,6410) IGVN                                        PEXCDA    263
         ENDIF                                                          PEXCDA    264
         WRITE(IUX,6420) (DDAT(JGG+I),I=1,6),DDAT(JGG+7)                PEXCDA    265
     &       ,(DDAT(JGG+I),I=9,16)                                      PEXCDA    266
         IF(IGVNB.NE.0)THEN                                             PEXCDA    267
          WRITE(IUX,6005)(DDAT(JGG+LK+16),LK=1,20)                      PEXCDA    268
         ENDIF                                                          PEXCDA    269
C                                                                       PEXCDA    270
         IF (IGSTAB.NE.0)THEN                                           PEXCDA    271
            WRITE(IUX,6430) (DDAT(JGS+LI),LI=1,6)                       PEXCDA    272
         ENDIF                                                          PEXCDA    273
         RETURN                                                         PEXCDA    274
C                                                                       PEXCDA    275
C                                                                       PEXCDA    276
  600    WRITE(IUX,6500) IGVN                                           PEXCDA    277
         WRITE(IUX,6510) (DDAT(JGG+I),I=1,3),DDAT(JGG+4)                PEXCDA    278
         RETURN                                                         PEXCDA    279
C                                                                       PEXCDA    280
C                                                                       PEXCDA    281
C                                                                       PEXCDA    282
  610    CONTINUE                                                       PEXCDA    283
         WRITE(IUX,6600) IGVN                                           PEXCDA    284
         WRITE(IUX,6610) (DDAT(JGG+I),I=1,7)                            PEXCDA    285
         RETURN                                                         PEXCDA    286
C                                                                       PEXCDA    287
C                                                                       PEXCDA    288
  620    CONTINUE                                                       PEXCDA    289
         WRITE(IUX,6600) IGVN                                           PEXCDA    290
         WRITE(IUX,6610) (DDAT(JGG+I),I=1,10)                           PEXCDA    291
         RETURN                                                         PEXCDA    292
C                                                                       PEXCDA    293
C                                                                       PEXCDA    294
C                                                                       PEXCDA    295
  630    CONTINUE                                                       PEXCDA    296
         WRITE(IUX,6800) IGVN                                           PEXCDA    297
         WRITE(IUX,6810) (DDAT(JGG+I),I=1,9)                            PEXCDA    298
         RETURN                                                         PEXCDA    299
C                                                                       PEXCDA    300
C                                                                       PEXCDA    301
C                                                                       PEXCDA    302
  640    CONTINUE                                                       PEXCDA    303
         WRITE(IUX,7000) IGVN                                           PEXCDA    304
         WRITE(IUX,7010) (DDAT(JGG+I),I=1,14)                           PEXCDA    305
         DB1=DDAT(JGG+15)                                               PEXCDA    306
         TDB1=1.0                                                       PEXCDA    307
         IF(DB1.LT.0.0) THEN                                            PEXCDA    308
            DB1=-DB1                                                    PEXCDA    309
            TDB1=2.0                                                    PEXCDA    310
         ENDIF                                                          PEXCDA    311
         IF(DB1.LT.1.0E6) TDB1=0.0                                      PEXCDA    312
         WRITE(IUX,7020) TDB1,DB1                                       PEXCDA    313
         RETURN                                                         PEXCDA    314
C                                                                       PEXCDA    315
C                                                                       PEXCDA    316
C                                                                       PEXCDA    317
  650    CONTINUE                                                       PEXCDA    318
         WRITE(IUX,7100) IGVN,' (WSCC TYPE GH)'                         PEXCDA    319
         WRITE(IUX,7110) (DDAT(JGG+I),I=1,11)                           PEXCDA    320
         RETURN                                                         PEXCDA    321
C                                                                       PEXCDA    322
C                                                                       PEXCDA    323
C                                                                       PEXCDA    324
  660    CONTINUE                                                       PEXCDA    325
         IF (IDDAT(JGG+3).EQ.0) THEN                                    PEXCDA    326
            DDAT(JGG+3)=DDAT(JGG+5)                                     PEXCDA    327
            DDAT(JGG+4)=DDAT(JGG+6)                                     PEXCDA    328
            DDAT(JGG+5)=0.0                                             PEXCDA    329
         ENDIF                                                          PEXCDA    330
         WRITE(IUX,7100) IGVN,' (WSCC TYPE GW)'                         PEXCDA    331
         WRITE(IUX,7210) (DDAT(JGG+I),I=1,11)                           PEXCDA    332
C                                                                       PEXCDA    333
  670    CONTINUE                                                       PEXCDA    334
C                                                                       PEXCDA    335
      RETURN                                                            PEXCDA    336
C                                                                       PEXCDA    337
C  -------------------------------------------------------------------  PEXCDA    338
C                                                                       PEXCDA    339
      ENTRY PUALDA(IUX,IUALN,JU,IEBK)                                   PEXCDA    340
CD                                                                      PEXCDA    341
CD    TO PRINT UNDER EXCITATION CURRENT LIMITER DATA.                   PEXCDA    342
CD                                                                      PEXCDA    343
C                                                                       PEXCDA    344
      KUALN=IUALN                                                       PEXCDA    345
C                                                                       PEXCDA    346
      GO TO (710,720,730,710,710,710,710,710,710,710), KUALN            PEXCDA    347
C                                                                       PEXCDA    348
 710  WRITE(IUX,5280) IUALN,(DDAT(JU+LK),LK=1,7),(DDAT(JU+LK),LK=9,16)  PEXCDA    349
      RETURN                                                            PEXCDA    350
C                                                                       PEXCDA    351
 720  WRITE(IUX,5300) IUALN,(DDAT(JU+LK),LK=1,5),DDAT(JU+7)             PEXCDA    352
     &,(DDAT(JU+LK),LK=9,16)                                            PEXCDA    353
      RETURN                                                            PEXCDA    354
C                                                                       PEXCDA    355
 730  WRITE(IUX,5290) IUALN,(DDAT(JU+LK),LK=1,6),(DDAT(JU+LK),LK=9,14)  PEXCDA    356
      RETURN                                                            PEXCDA    357
C                                                                       PEXCDA    358
C  ----------------------------------------------------------           PEXCDA    359
C                                                                       PEXCDA    360
      ENTRY PSTBDA(IUX,ISTABN,NLF,KN,JS,IEBK)                           PEXCDA    361
CD                                                                      PEXCDA    362
CD    TO PRINT STABILIZER DATA.                                         PEXCDA    363
CD                                                                      PEXCDA    364
C             1   2   3   4   5   6   7   8   9  10  11  12             PEXCDA    365
      GO TO (750,760,760,750,760,760,780,830,790,800,810,820), ISTABN   PEXCDA    366
C                                                                       PEXCDA    367
 750  WRITE(IUX,4290) (DDAT(JS+LI),LI=3,14)                             PEXCDA    368
      RETURN                                                            PEXCDA    369
C                                                                       PEXCDA    370
 760  WRITE(IUX,4290) (DDAT(JS+LI),LI=3,14)                             PEXCDA    371
      WRITE(IUX,4260) (DDAT(JS+LI),LI=15,22)                            PEXCDA    372
      RETURN                                                            PEXCDA    373
C                                                                       PEXCDA    374
 780  CONTINUE                                                          PEXCDA    375
      RETURN                                                            PEXCDA    376
C                                                                       PEXCDA    377
 790  WRITE(IUX,4280) (DDAT(JS+LI),LI=7,27)                             PEXCDA    378
      RETURN                                                            PEXCDA    379
C                                                                       PEXCDA    380
 800  WRITE(IUX,4300) (DDAT(JS+LI),LI=3,20)                             PEXCDA    381
      RETURN                                                            PEXCDA    382
C                                                                       PEXCDA    383
 810  WRITE(IUX,4310) (DDAT(JS+LI),LI=3,30)                             PEXCDA    384
      RETURN                                                            PEXCDA    385
C                                                                       PEXCDA    386
 820  WRITE(IUX,4390) (DDAT(JS+LI),LI=5,24)                             PEXCDA    387
C                                                                       PEXCDA    388
 830  CONTINUE                                                          PEXCDA    389
      RETURN                                                            PEXCDA    390
C                                                                       PEXCDA    391
 3000 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7 PEXCDA    392
     +.3,4X,'AEX =',F7.5,4X,'BEX =',F7.4)                               PEXCDA    393
 3010 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F6 PEXCDA    394
     +.2,' SE-VSAT =',F7.5,'  SE.75 =',F7.4,3X,'VSAT =',F7.3)           PEXCDA    395
 3020 FORMAT (4X,'KF =',F7.4,5X,'TF =',F7.3,5X,'TC =',F7.3,5X,'TB =',F7 PEXCDA    396
     +.3,2X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2,4X,'ETV =',F7.3            PEXCDA    397
     &,'  ETMIN =',F7.3,/,4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4) PEXCDA    398
 3030 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7 PEXCDA    399
     +.3,4X,'AEX =',F7.5,4X,'BEX =',F7.4,5X,'KC =',F7.4)                PEXCDA    400
 3040 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F6 PEXCDA    401
     +.3,' SE-VSAT =',F7.5,'  SE.75 =',F7.4,3X,'VSAT =',F7.3            PEXCDA    402
     &,5X,'KC =',F7.4)                                                  PEXCDA    403
 3050 FORMAT (4X,'KF =',F7.4,5X,'TF =',F7.3,5X,'TC =',F7.3,5X,'TB =',F7 PEXCDA    404
     +.3,2X,'VAMAX =',F7.2,2X,'VAMIN =',F7.2,2X,'VEMIN =',F7.2          PEXCDA    405
     &,5X,'KR =',F7.4)                                                  PEXCDA    406
 3060 FORMAT(4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4,4X,'XDE ='    PEXCDA    407
     *,F7.4,3X,'X''DE =',F7.4,5X,'KN =',F7.2,3X,'EFDN =',F7.3,4X,'KLN ='PEXCDA    408
     *,F7.4,/,3X,'VLN =',F7.3,' VFEMAX =',F7.3,4X,'LVF =',F7.3)         PEXCDA    409
 3070 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7 PEXCDA    410
     +.3,4X,'AEX =',F7.5,4X,'BEX =',F7.4,5X,'KC =',F7.4)                PEXCDA    411
 3080 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F6 PEXCDA    412
     +.3,' SE-VSAT =',F7.5,'  SE.75 =',F7.4,3X,'VSAT =',F7.3            PEXCDA    413
     &,5X,'KC =',F7.4)                                                  PEXCDA    414
 3090 FORMAT (4X,'KF =',F7.4,5X,'TF =',F7.3,5X,'TC =',F7.3,5X,'TB =',F7 PEXCDA    415
     +.3,2X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2,2X,'VEMIN =',F7.2          PEXCDA    416
     &,5X,'TK =',F7.4)                                                  PEXCDA    417
 3100 FORMAT (4X,'KF =',F7.4,5X,'TF =',F7.3,5X,'TC =',F7.3,5X,'TB =',F7 PEXCDA    418
     +.3,2X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2,2X,'VEMIN =',F7.2          PEXCDA    419
     &,5X,'T6 =',F7.3)                                                  PEXCDA    420
 3110 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4              PEXCDA    421
     &,3X,' XDE =',F7.4,1X,8H  X'DE =,F7.4,4X,'TC1 =',F7.2,4            PEXCDA    422
     +X,'TB1 =',F7.2)                                                   PEXCDA    423
 3120 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4              PEXCDA    424
     &,3X,' XDE =',F7.4,1X,8H  X'DE =,F7.4,4X,'TC2 =',F7.2,4            PEXCDA    425
     +X,'TB2 =',F7.2,/,1X,'VAMAX =',F7.3,2X,'VAMIN =',F7.3)             PEXCDA    426
 3130 FORMAT(2X,'KETL =',F7.2,4X,'TL1 =',F7.4,4X,'TL2 =',F7.3,2X,       PEXCDA    427
     +'ETLMT=',F7.3,2X,' VOMX=',F7.2,4X,'KZ1 = ',F7.1,4X,'KZ2 = ',F7.4) PEXCDA    428
 3140 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7 PEXCDA    429
     +.3,4X,'AEX =',F7.5,4X,'BEX =',F7.4,5X,'KC =',F7.4)                PEXCDA    430
 3150 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F6 PEXCDA    431
     +.3,' SE-VSAT =',F7.5,'  SE.75 =',F7.4,3X,'VSAT =',F7.3            PEXCDA    432
     &,5X,'KC =',F7.4)                                                  PEXCDA    433
 3160 FORMAT (4X,'KF =',F7.4,5X,'TF =',F7.3,5X,'TC =',F7.3,5X,'TB =',F7 PEXCDA    434
     +.3,2X,'VAMAX =',F7.2,2X,'VAMIN =',F7.2,2X,'VRMAX=',F7.2,2X,'VRMIN=PEXCDA    435
     +',F7.3)                                                           PEXCDA    436
 3170 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4              PEXCDA    437
     &,3X,' XDE =',F7.4,1X,8H  X'DE =,F7.4,5X,'KB =',F7.2,5X            PEXCDA    438
     +,'KH =',F7.3,5X,'KL =',F7.4,/,2X,'VLMT=',F7.3,1X,'VFEMAX =',F7.3) PEXCDA    439
 3190 FORMAT(4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7.3PEXCDA    440
     *,4X,'LVI =',F7.3,37X,'KC =',F7.4,/,4X,'KF =',F7.4,5X,'TF =',F7.3  PEXCDA    441
     *,5X,'TC =',F7.3,5X,'TB =',F7.3,18X,'VRMAX =',F7.2,'  VRMIN =',F7.2PEXCDA    442
     *,'  EFDMX=',F7.3)                                                 PEXCDA    443
 3200 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4              PEXCDA    444
     &,5X,'KP =',F7.3,5X,'KI =',F7.3)                                   PEXCDA    445
 3210 FORMAT (4X,'KM =',F7.2,5X,'TM =',F7.3,5X,'KA =',F7.2,5X,'KG =',F7 PEXCDA    446
     +.3,2X,'VGMAX =',F7.2,2X,'VIMAX =',F7.2,2X,'VIMIN=',F7.2,5X,'KC =',PEXCDA    447
     +F7.4,/4X,'KF =',F7.4,5X,'TF =',F7.3,5X,'TC =',F7.3,5X,'TB =',F7.3 PEXCDA    448
     +,5X,'TA =',F7.3,2X,'VMMAX =',F7.2,2X,'VMMIN =',F7.2,3X            PEXCDA    449
     +,'EFMX =',F7.3,/,4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4     PEXCDA    450
     &,5X,'XL =',F7.4,5X,'KI =',F7.3,5X,'KP =',F7.3,2X,'THETA=',F7.2    PEXCDA    451
     &,2X,'VAMAX =',F7.3,/,1X,'VAMIN =',F7.2,2X,'VBMAX =',F7.3)         PEXCDA    452
 3220 FORMAT (36X,'KE =',F7.3,5X,'TE =',F7.3,4X,'AEX =',F7.5,4X,'BEX =' PEXCDA    453
     +,F7.4,/,4X,'KV =',F7.3,4X,'TRH =',F7.3,34X,'VRMAX =',F7.3,2X      PEXCDA    454
     &,'VRMIN =',F7.3,/,4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4)   PEXCDA    455
 3230 FORMAT (36X,'KE =',F7.3,5X,'TE =',F6.3,' SE-VSAT =',F7.5          PEXCDA    456
     &,'  SE.75 =',F7.4,3X,'VSAT =',F7.3,/,4X,'KV =',F7.3,4X,'TRH ='    PEXCDA    457
     &,F7.2,34X,'VRMAX =',F7.3,2X,'VRMIN =',F7.3                        PEXCDA    458
     &,/,4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4)                  PEXCDA    459
 3240 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7 PEXCDA    460
     +.3,4X,'AEX =',F7.5,4X,'BEX =',F7.4)                               PEXCDA    461
 3250 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F6 PEXCDA    462
     +.3,' SE-VSAT =',F7.5,'  SE.75 =',F7.4,3X,'VSAT =',F7.3)           PEXCDA    463
 3260 FORMAT (4X,'KF =',F7.4,4X,'TF1 =',F7.3,5X,'TC =',F7.3,5X,'TB =',  PEXCDA    464
     +F7.3,4X,'TF3 =',F7.3,4X,'TF2 =',F7.3,2X,'VRMAX=',F7.2,2X,'VRMIN=',PEXCDA    465
     +F7.2,/,4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4)              PEXCDA    466
 3270 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3,5X,'TE =',F7 PEXCDA    467
     +.3,4X,'AEX =',F7.5,4X,'BEX =',F7.4,5X,'KC =',F7.4)                PEXCDA    468
 3280 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KE =',F7.3              PEXCDA    469
     &,5X,'TE =',F6.3,' SE-VSAT =',F7.5,'  SE.75 =',F7.4,3X,'VSAT ='    PEXCDA    470
     &,F7.3,5X,'KC =',F7.4)                                             PEXCDA    471
 3290  FORMAT (4X,'TJ =',F7.4,5X,'TH =',F7.3,5X,'TC =',F7.3,5X,'TB ='   PEXCDA    472
     &,F7.3,2X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2,5X,'KC =',F7.4          PEXCDA    473
     &,5X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4                     PEXCDA    474
     &,3X,' XDE =',F7.4,1X,8H  X'DE =,F7.4,4X,'KRB =',F7.2,4            PEXCDA    475
     +X,'TRB =',F7.2,'  VFELIM=',F7.3,/,1X,'VAMAX =',F7.3,2X,'VAMIN =', PEXCDA    476
     +F7.3,5X,'KH =',F7.3,2X,'VHMAX =',F7.3,2X,'VJMAX =',F7.2,3X,       PEXCDA    477
     +'RAMP =',F7.3,3X,'RMAX =',F7.2,3X,'RMIN =',F7.3)                  PEXCDA    478
 3330 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'KF =',F7.3              PEXCDA    479
     &,5X,'TF =',F7.3,5X,'TF1 =',F7.3,5X,'TF2 =',F7.3)                  PEXCDA    480
 3340 FORMAT (4X,'TB =',F7.4,2X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2        PEXCDA    481
     &,2X,'EFDMAX =',F7.2,2X,'EFDMIN =',F7.2                            PEXCDA    482
     &,/,4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4)                  PEXCDA    483
 3350 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'TC =',F7.3              PEXCDA    484
     &,5X,'TB =',F7.3,5X,'KF =',F7.4,5X,'TF =',F7.2,5X,'TF1 ='          PEXCDA    485
     &,F7.2,4X,' TF2 =',F7.3,/,1X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2      PEXCDA    486
     &,4X,'ETV =',F7.3,4X,'KVF =',F7.4,2X,'ETMIN =',F7.4                PEXCDA    487
     &,3X,'KIFL =',F7.4,2X,'IFLMT=',F7.2)                               PEXCDA    488
 3360 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4,3X,'KETL =', PEXCDA    489
     +F7.2,4X,'TL1 =',F7.4,4X,'TL2 =',F7.3,2X,'ETLMT=',F7.3,2X,' VOMX=',PEXCDA    490
     +F7.2,/,1X,'VSMAX =',F7.2,2X,'VSMIN =',F7.2,2X,'VIMAX =',F7.3,2X,  PEXCDA    491
     + 'VIMIN =',F7.3)                                                  PEXCDA    492
 3370 FORMAT (4X,'KA =',F7.2,2X,'VAMAX =',F7.3,5X,'TC =',F7.3,5X,'TB =' PEXCDA    493
     +,F7.3,3X,'FMAX =',F7.3,3X,'FMIN =',F7.3,2X,'VSMAX=',F7.2,2X,'VSMINPEXCDA    494
     +=',F7.2,/,1X,'VRMAX =',F7.2                                       PEXCDA    495
     &,2X,'VRMIN =',F7.2,4X,'ETV =',F7.3,4X,'KVF =',F7.4,2X             PEXCDA    496
     &,'ETMIN =',F7.4,3X,'KIFL =',F7.4,2X,'IFLMT=',F7.2)                PEXCDA    497
 3380 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4,3X,'KEIL =', PEXCDA    498
     +F7.2,4X,'TL1 =',F7.4,4X,'TL2 =',F7.3,2X,'ETLMT=',F7.3,2X,' VOMX=',PEXCDA    499
     +F7.2)                                                             PEXCDA    500
 3390 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.3,5X,'TC =',F7.3,5X,'TB ='    PEXCDA    501
     +,F7.3,5X,'KF =',F7.4,5X,'TF =',F7.4,3X,' TF1 =',F7.3,4X,'TF2 ='   PEXCDA    502
     &,F7.3,/,1X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2,4X,'ETV =',F7.3,5X,   PEXCDA    503
     +'KC =',F7.4,2X,'ETMIN =',F7.4,3X,'KIFL =',F7.4,2X,'IFLMT=',F7.2)  PEXCDA    504
 3400 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4,3X,'KETL =', PEXCDA    505
     +F7.2,4X,'TL1 =',F7.4,4X,'TL2 =',F7.3,2X,'ETLMT=',F7.3,1X,'LIMOUT='PEXCDA    506
     +,F7.2,/,1X,'VIMAX =',F7.2,2X,'VIMIN =',F7.2,2X,'VTMAX =',F7.2,2X, PEXCDA    507
     +'VTMIN =',F7.2,3X,'VOMX =',F7.2,3X,'VOMN =',F7.2,3X,'ACON =',F7.2,PEXCDA    508
     +3X,'BCON =',F7.3,/,1X,'VSMAX =',F7.3,2X,' VSMIN =',F7.3)          PEXCDA    509
 3410 FORMAT (4X,'KA =',F7.2,5X,'TA =',F7.4,5X,'KF =',F7.3,5X,'TF =',   PEXCDA    510
     +F7.4,2X,'VIMAX =',F7.3,2X,'VIMIN =',F7.3,5X,'TC =',F7.3,5X,       PEXCDA    511
     +'TB =',F7.3,/,3X,'TC1 =',F7.3,4X,'TB1 =',F7.3,2X,'VAMAX =',       PEXCDA    512
     +F7.2,2X,'VAMIN =',F7.2,2X,'VRMAX =',F7.2,2X,'VRMIN =',F7.2,5X,    PEXCDA    513
     +'KC =',F7.3)                                                      PEXCDA    514
 3420 FORMAT (4X,'TR =',F7.4,5X,'RC =',F7.4,5X,'XC =',F7.4,4X,'KLR ='   PEXCDA    515
     +,F7.3,4X,'ILR =',F7.4)                                            PEXCDA    516
 4260 FORMAT         (1X,' KANG =',F6.1,2X,'  TANG =',F6.2,2X,          PEXCDA    517
     1' DWTHR =',F6.4,2X,'  ETHR =',F6.4,2X,' VS3MX =',F6.3,2X,         PEXCDA    518
     2' VS3MN =',F7.3,1X,' VANGM =',F6.2,2X,'VANGMX =',F6.2)            PEXCDA    519
 4250 FORMAT (/'  STAB.  DATA:  STABILIZER TYPE =',I3/1X,               PEXCDA    520
     1'   KEW =',F6.2,2X,'   KPT =',F6.2,2X,'   KYV =',F6.4,2X,         PEXCDA    521
     2'    TW =',F6.4,2X,' VSMAX =',F6.2,2X,' VSMIN =',F7.2)            PEXCDA    522
 4280 FORMAT(3X,'T11 =',F6.3,5X,'T12 =',F6.3,6X,'T1 =',F6.3,4X,'T2 ='   PEXCDA    523
     *,F6.3,6X,'T3 =',F6.3,6X,'T4 =',F6.3,3X,'VSMAX =',F6.2,3X,'VSMIN ='PEXCDA    524
     *,F6.3,/,3X,'KS1 =',F6.2,6X,'T5 =',F6.3,6X,'T6 =',F6.3,6X,'T7 ='   PEXCDA    525
     *,F6.2,5X,'KS2 =',F6.3,6X,'T8 =',F6.3,6X,'T9 =',F6.3,5X,'T10 ='    PEXCDA    526
     *,F6.3,/,3X,'KS3 =',F6.2,5X,'TFD =',F6.3,5X,'TFG =',F6.3,6X,'TF =' PEXCDA    527
     *,F6.3,6X,'RC =',F7.4,5X,'XC =',F7.4,3X,'PTHR =',F6.2)             PEXCDA    528
 4290 FORMAT         (1X,'   KS =',F7.2,1X,'  T5   =',F6.2,2X,          PEXCDA    529
     1'    T1 =',F6.3,2X,'    T2 =',F6.3,2X,'    T3 =',F6.3,2X,         PEXCDA    530
     2'    T4 =',F6.3,2X,' VSMAX =',F6.2,2X,' VSMIN =',F7.2/1X,         PEXCDA    531
     3'   TF =',F6.3,2X,'    RC =',F7.4,1X,'    XC =',F7.4,1X,          PEXCDA    532
     4'  PTHR =',F6.2)                                                  PEXCDA    533
 4300 FORMAT         (1X,'  KQS =',F6.2,2X,'   TQS =',F6.3,2X,          PEXCDA    534
     1'   KQV =',F6.2,2X,'   TQV =',F6.3,2X,'    TQ =',F6.3,2X,         PEXCDA    535
     2'  TQ1P =',F6.3,2X,'   TQ1 =',F6.3/1X,                            PEXCDA    536
     3' TQ2P =',F6.3,2X,'   TQ2 =',F6.3,2X,'  TQ3P =',F6.3,2X,          PEXCDA    537
     4'   TQ3 =',F6.3,2X,' VSMAX =',F6.2,2X,' VSMIN =',F7.2,1X,         PEXCDA    538
     5'    VC =',F6.3/1X,'   TF =',F6.3,2X,'    RC =',F7.4,1X,          PEXCDA    539
     6'    XC =',F7.4,1X,'  PTHR =',F6.2)                               PEXCDA    540
 4310 FORMAT         (1X,'  KQS =',F6.2,2X,'   TQS =',F6.3,2X,          PEXCDA    541
     1'   KQV =',F6.2,2X,'   TQV =',F6.3,2X,'    TQ =',F6.3,2X,         PEXCDA    542
     2'  TQ1P =',F6.3,2X,'   TQ1 =',F6.3/1X,' TQ2P =',F6.3,2X,          PEXCDA    543
     3'   TQ2 =',F6.3,2X,'  TQ3P =',F6.3,2X,' VSMAX =',F6.2,2X,         PEXCDA    544
     4' VSMIN =',F6.2,2X,'    VC =',F6.3,2X,'  KQSP =',F6.3/1X,         PEXCDA    545
     5'    K =',F6.3,2X,'    T1 =',F6.3,2X,'    T2 =',F6.3,2X,          PEXCDA    546
     6'    T3 =',F6.2,2X,'    T4 =',F6.3,2X,' DELW1 =',F6.3,2X,         PEXCDA    547
     7' DELW2 =',F6.3,2X,'   DWT =',F6.3/1X,'   TF =',F6.3,2X,          PEXCDA    548
     8'    RC =',F7.4,1X,'    XC =',F7.4,1X,'  TDEL =',F6.3,2X,         PEXCDA    549
     9'  PTHR =',F6.2)                                                  PEXCDA    550
 4390 FORMAT         (1X,'   K1 =',F6.2,2X,'    T1 =',F6.2,2X,          PEXCDA    551
     1'    K2 =',F6.2,2X,'    T2 =',F6.4,2X,'  TQ0P =',F6.3,2X,         PEXCDA    552
     2'   TQ0 =',F6.2,2X,'  TQ1P =',F6.3,2X,'   TQ1 =',F6.3/1X,         PEXCDA    553
     3' TQ2P =',F6.3,2X,'   TQ2 =',F6.3,2X,'  TQ3P =',F6.3,2X,          PEXCDA    554
     4'   TQ3 =',F6.3,2X,' VSMAX =',F6.2,2X,' VSMIN =',F6.2/1X,         PEXCDA    555
     5'   TF =',F6.3,2X,'    RC =',F7.4,1X,'    XC =',F7.4,1X,          PEXCDA    556
     6'   VCU =',F7.2,1X,'   VCL =',F7.2,1X,'  PTHR =',F6.2)            PEXCDA    557
 5280 FORMAT('0   URAL   DATA:',/,'  TYPE =',I7,5X,'K1 =',F7.4,5X,'K2   PEXCDA    558
     1 =',F7.4,5X,'K3 =',F7.5,5X,'K4 =',F7.5,5X,'K5 =',F7.4,5X,'K6 =',F PEXCDA    559
     27.5,5X,'T9 =',F7.4,/,20X,'T1 =',F7.5,5X,'T2 =',F7.5,5X,'T3 =',F7  PEXCDA    560
     3.4,5X,'T4 =',F7.5,5X,'T5 =',F7.5,5X,'T6 =',F7.5,5X,'T7 =',F7.4,5X,PEXCDA    561
     4'T8 =',F7.5)                                                      PEXCDA    562
 5290 FORMAT ('0   URAL   DATA:',/,'  TYPE =',I7,5X,'K1 =',F7.4,5X,'K2  PEXCDA    563
     1 =',F7.4,5X,'K3 =',F7.5,5X,'K4 =',F7.5,5X,'K5 =',F7.4,5X,'K6 =',F PEXCDA    564
     27.5,/,20X,'T1 =',F7.5,5X,'T2 =',F7.5,5X,'T3 =',F7.4,5X,'T4 =',F7  PEXCDA    565
     3.5,5X,'T5 =',F7.5,5X,'T6 =',F7.5)                                 PEXCDA    566
 5300 FORMAT ('0   UVAL.  DATA:',/,'  TYPE =',I7,5X,'K1 =',F7.4,5X,'K2  PEXCDA    567
     1 =',F7.4,5X,'K3 =',F7.5,5X,'K4 =',F7.5,5X,'K5 =',F7.4,5X,'T9 =',F PEXCDA    568
     27.4,/,20X,'T1 =',F7.5,5X,'T2 =',F7.5,5X,'T3 =',F7.4,5X,'T4 =',F7  PEXCDA    569
     3.5,5X,'T5 =',F7.5,5X,'T6 =',F7.5,5X,'T7 =',F7.4,'T8 =',F7.5)      PEXCDA    570
 6000 FORMAT (//,1X,'GOVERNOR CONTROL DATA :',/,1X,23('-'),/)           PEXCDA    571
 6002 FORMAT(' GOVERNOR TYPE =',I3,A,/,'     ILN =',I7,'    IFV =',I7,/ PEXCDA    572
     *,'     THP =',F7.3,'    TRH =',F7.3,'    TIP =',F7.3,'    TLP ='  PEXCDA    573
     *,F7.3,'    KBR =',F7.3,'    FHP =',F7.3,'    FIP =',F7.3          PEXCDA    574
     *,'   PMAX =',F7.3,/,'   FBRPR =',F7.3,'     KA =',F7.3            PEXCDA    575
     *,'  PDROP =',F7.3,'   PLMT =',F7.3,/,'     TC1 =',F7.3            PEXCDA    576
     *,'    TC2 =',F7.3,'    TC3 =',F7.3,'    TC4 =',F7.3,'    TC5 ='   PEXCDA    577
     *,F7.3,'    LC1 =',F7.3,'    LC2 =',F7.3,/,'     PC1 =',F7.3       PEXCDA    578
     *,'    AC1 =',F7.3,'    PC2 =',F7.3,'    AC2 =',F7.3,:,'    XC1 =' PEXCDA    579
     *,F7.3,'    YC1 =',F7.3,'    XC2 =',F7.3,'    YC2 =',F7.3)         PEXCDA    580
 6003 FORMAT('    CDB1 =',F7.3,'   CDB2 =',F7.3,/,'     TI1 =',F7.3     PEXCDA    581
     *,'    TI2 =',F7.3,'    TI3 =',F7.3,'    TI4 =',F7.3,'    TI5 ='   PEXCDA    582
     *,F7.3,'    LI1 =',F7.3,'    LI2 =',F7.3,'   IVOB =',F7.3,/        PEXCDA    583
     *,'     PI1 =',F7.3,'    AI1 =',F7.3,'    PI2 =',F7.3,'    AI2 ='  PEXCDA    584
     *,F7.3,:,'    XI1 =',F7.3,'    YI1 =',F7.3,'    XI2 =',F7.3        PEXCDA    585
     *,'    YI2 =',F7.3)                                                PEXCDA    586
 6004 FORMAT('   CIDB1 =',F7.3,'  CIDB2 =',F7.3,/,'      K1 =',F7.3     PEXCDA    587
     *,'     K2 =',F7.3,'     V1 =',F7.3,'     V2 =',F7.3,'     V3 ='   PEXCDA    588
     *,F7.3,'     T1 =',F7.3,'     T2 =',F7.3,'     KR =',F7.3,/        PEXCDA    589
     *,'     TSR =',F7.3,'     L1 =',F7.3,'     L2 =',F7.3,:            PEXCDA    590
     *,'    TF1 =',F7.3,'    TF2 =',F7.3,'    XFV =',F7.3,:,'  TFCV2 =' PEXCDA    591
     *,F7.3,'   XFCV =',F7.3)                                           PEXCDA    592
 6005 FORMAT('  TDELAY =',F7.3,'  TFUEL =',F7.3,'     TW =',F7.3,       PEXCDA    593
     *'    TCD =',F7.3,'   TCSH =',F7.3,'      K =',F7.3,/,'    TLR ='  PEXCDA    594
     *,F7.3,'   RMIN =',F7.3,'    RMAX =',F7.3,'   LMIN =',F7.3         PEXCDA    595
     *,'   LMAX =',F7.3,'     KF =',F7.3,'     KL =',F7.3,              PEXCDA    596
     *'      KM =',F7.3,/,'     TT =',F7.3,'     KP =',F7.3,            PEXCDA    597
     *'     KI =',F7.3,'     TI =',F7.3,                                PEXCDA    598
     *'     TR =',F7.3,'    TR1 =',F7.3)                                PEXCDA    599
 6400 FORMAT(' TYPE=',I2                                                PEXCDA    600
     *,' (WSCC TYPE GS)    IEEE LINEAR MODEL FOR THERMAL UNITS')        PEXCDA    601
 6410 FORMAT(5X,'TYPE=',I2                                              PEXCDA    602
     *,' (WSCC TYPE GS)    IEEE LINEAR MODEL FOR THERMAL UNITS')        PEXCDA    603
 6420 FORMAT (4X,'K1 =',F7.3,5X,'T1 =',F7.3,5X,'T2 =',F7.3,5X,'T3 =',F7 PEXCDA    604
     1.3,3X,'RMAX =',F7.3,3X,'RMIN =',F7.3,3X,'PMAX =',                 PEXCDA    605
     2F7.3,/,4X,'T4 =',F7.3,5X,'T5 =',F7.3,5X,'T6 =',F7.3,5X,'T7 =',F7. PEXCDA    606
     33,5X,'K2 =',F7.3,5X,'K3 =',F7.3,5X,'K4 =',F7.3,5X,'K5 =',F7.3)    PEXCDA    607
 6430 FORMAT ('0   STAB.  DATA:',/,'    -----------    KGW =',F7.2,4X,'KPEXCDA    608
     1PT =',F7.2,4X,'KYU =',F7.4,5X,'TW =',F7.4,17X,'VGSMAX =',F6.2,    PEXCDA    609
     2' VGSMIN =',F7.2)                                                 PEXCDA    610
 6500 FORMAT (1X,'TYPE=',I2,4X,'IEEE LINEAR MODEL LP OF THERMAL UNITS') PEXCDA    611
 6510 FORMAT (4X,'K6 =',F7.3,5X,'K7 =',F7.3,5X,'K8 =',F7.3,3X,          PEXCDA    612
     &'PMAX =',F7.3)                                                    PEXCDA    613
 6600 FORMAT (1X,'TYPE=',I2,4X,' MODEL ')                               PEXCDA    614
 6610 FORMAT (5X,'R =',F7.3,5X,'T1 =',F7.3,5X,'T2 =',F7.3,5X,'T3 =',F7  PEXCDA    615
     1.3,4X,'PFL =',F7.3,3X,'VMIN =',F7.3,5X,'DT =',F7.3,5X,'T4 =',F7.3 PEXCDA    616
     2,/,4X,'KT =',F7.3,5X,'LL =',F7.3)                                 PEXCDA    617
 6800 FORMAT (1X,'TYPE=',I2,4X,' GOVERNOR/TURBINE MODEL ')              PEXCDA    618
 6810 FORMAT (5X,'K =',F7.3,5X,'T1 =',F7.3,5X,'T2 =',F7.3,5X,'T3 =',F7  PEXCDA    619
     1.3,3X,'PMAX =',F7.3,3X,'VMIN =',F7.3,5X,'T4 =',F7.3,5X,'T5 =',    PEXCDA    620
     2F7.3,/,4X,'T6 =',F7.3)                                            PEXCDA    621
 7000 FORMAT (1X,'TYPE=',I2,4X,'DETAILED HYDRO GOVERNOR MODEL')         PEXCDA    622
 7010 FORMAT (5X,'Q =',F7.3,5X,'RP =',F7.3,5X,'RT =',F7.3,5X,'TW =',F7. PEXCDA    623
     13,5X,'TR =',F7.3,5X,'TG =',F7.2,4X,'PFL =',F7.3,3X,'HEAD =',F7.3, PEXCDA    624
     2/,3X,'GFL =',F7.3,4X,'GNL =',F7.3,8X,'MAX G OPNG RATE =',F7.3,12X PEXCDA    625
     3,'MAX G CLSNG =',F7.3,5X,'BZ =',F7.3,3X,'DMXZ =',F7.3)            PEXCDA    626
 7020 FORMAT (5X,'DEAD BAND CONSTANTS :',//,5X,'TDB1=',F6.1,1X,' DB1=',FPEXCDA    627
     16.4,/)                                                            PEXCDA    628
 7100 FORMAT (1X,'TYPE=',I2,A,4X,' HYDRO GOVERNOR MODEL')               PEXCDA    629
 7110 FORMAT (2X,'PMAX =',F7.3,6X,'R =',F7.3,5X,'TG =',F7.3,5X,'TP =',  PEXCDA    630
     +F7.3,5X,'TD =',F7.3,5X,'DD =',F7.3,3X,'GMAX =',F7.3,3X,'GMIN =',  PEXCDA    631
     +F7.3,/,4X,'TW =',F7.2,3X,'VELO =',F7.3,3X,'VELC =',F7.3)          PEXCDA    632
 7210  FORMAT (2X,'PMAX =',F7.2,6X,'R =',F7.3,5X,'T1 =',F7.2,5X,'T2 =', PEXCDA    633
     +F7.2,5X,'T3 =',F7.2,5X,'T4 =',F7.2,3X,'GMAX =',F7.3,3X,'GMIN =',  PEXCDA    634
     +F7.3,/,4X,'TW =',F7.3,5X,'K1 =',F7.3,5X,'K3 =',F7.3)              PEXCDA    635
      END                                                               PEXCDA    636
